#### Previous topic

scipy.stats.mstats.idealfourths

#### Next topic

scipy.stats.mstats.ks_2samp

# scipy.stats.mstats.kruskal

`scipy.stats.mstats.``kruskal`(*args)

  Compute the Kruskal-Wallis H-test for independent samples

  Parameters:

  sample1, sample2, ... : array_like

  > Two or more arrays with the sample measurements can be given as arguments.

  Returns:

  statistic : float

  > The Kruskal-Wallis H statistic, corrected for ties

  pvalue : float

  > The p-value for the test using the assumption that H has a chi square distribution

  Notes

  For more details on `kruskal`, see stats.kruskal.